AWSTemplateFormatVersion: '2010-09-09'
Transform: AWS::Serverless-2016-10-31
Resources:
  ReportFunction:
    Type: AWS::Serverless::Function
    Properties:
      Handler: handler.apireport
      CodeUri: ./apireport
      Runtime: nodejs16.x
      MemorySize: 1024
      Timeout: 30
      Policies:
        - DynamoDBCrudPolicy:
            TableName: !Ref ReportsTable
      Environment:
        Variables:
          TABLE_NAME: !Ref ReportsTable
      Events:
        Api:
          Type: Api
          Properties:
            Path: /generate-report
            Method: post
  ReportsTable:
    Type: AWS::DynamoDB::Table
    Properties:
      TableName: reports
      AttributeDefinitions:
        - AttributeName: rut
          AttributeType: S
      KeySchema:
        - AttributeName: rut
          KeyType: HASH
      BillingMode: PAY_PER_REQUEST
